TYPO3 Core - Bug #89120

Loggers miss the requestid
2019-09-09 23:13 - Helmut Hummel

Status: Closed Start date: 2019-09-09
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

TYPO3 Version: 9 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus:

Description

Because requestld is now an (optional) constructor argument of LogManager, but LogManager is instantiated by the bootstrap

first without this argument, the requestld remains empty.

The LogManager is indirectly instantiated the first time when error handling is set up and a logger is injected into ErrorHandler

Related issues:

Related to TYPO3 Core - Task #84082: A LogRecord should not rely on global st...

Closed 2018-02-28

Associated revisions

Revision 6198434 - 2019-09-10 07:50 - Helmut Hummel
[BUGFIX] Ensure LogManager has requestld set

Since LogManager is first used when ErrorHandler is instantiated,
we need to provide a properly set up singleton before
setting up error handling.

Resolves: #89120

Releases: 9.5

Change-1d: 105cb3845472627aae2c0e2949e2fb4a8b74385ea
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/61652

Tested-by: Benjamin Franzke <bfr@gbus.de>
Tested-by: TYPO3com <noreply@typo3.com>
Tested-by: Benni Mack <benni@typo3.org>
Reviewed-by: Benjamin Franzke <bfr@qbus.de>
Reviewed-by: Benni Mack <benni@typo3.org>

History

#1 - 2019-09-09 23:13 - Helmut Hummel

- Related to Task #84082: A LogRecord should not rely on global state (requestld from Bootstrap) added

#2 - 2019-09-09 23:21 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch 9.5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/61652

#3 - 2019-09-10 08:00 - Helmut Hummel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 61e984345bfe11ffae9bbf63c9f039922ef459dd.

#4 - 2019-12-23 22:57 - Benni Mack

- Status changed from Resolved to Closed
